SDL_systls.c File Reference
`#include "../../SDL_internal.h"`
`#include "../SDL_thread_c.h"`
Include dependency graph for SDL_systls.c:

Go to the source code of this file.

## Functions

SDL_TLSData * | SDL_SYS_GetTLSData ()
int | SDL_SYS_SetTLSData (SDL_TLSData *data)

## Function Documentation

SDL_TLSData* SDL_SYS_GetTLSData | ( |  | ) |

Definition at line 27 of file SDL_systls.c.

Referenced by SDL_TLSCleanup(), SDL_TLSGet(), and SDL_TLSSet().

{
return SDL_Generic_GetTLSData();
}
SDL_Generic_GetTLSData
SDL_TLSData * SDL_Generic_GetTLSData()
Definition: SDL_thread.c:123

int SDL_SYS_SetTLSData | ( | SDL_TLSData * | data | ) |

Definition at line 33 of file SDL_systls.c.

Referenced by SDL_TLSCleanup(), and SDL_TLSSet().

{
return SDL_Generic_SetTLSData(data);
}
SDL_Generic_SetTLSData
int SDL_Generic_SetTLSData(SDL_TLSData *storage)
Definition: SDL_thread.c:162